---
title: Blob.size
slug: Web/API/Blob/size
tags:
  - API
  - Blob
  - Bytes
  - File API
  - Files
  - Property
  - Reference
  - length
  - size
---
<div>{{APIRef("File API")}}</div>

<p>The {{domxref("Blob")}} interface's <strong><code>size</code></strong> property returns the size of the {{domxref("Blob")}} or {{domxref("File")}} in bytes.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>sizeInBytes</em> = <em>blob</em>.size
</pre>

<h3 id="Value">Value</h3>

<p>The number of bytes of data contained within the <code>Blob</code> (or <code>Blob</code>-based object, such as a {{domxref("File")}}).</p>

<h2 id="Example">Example</h2>

<p>This example uses an {{HTMLElement("input")}} element of type <code>file</code> to ask the user for a group of files, then iterates over those files outputting their names and lengths in bytes.</p>

<pre class="brush:js">// fileInput is a HTMLInputElement: &lt;input type="file" multiple id="myfileinput"&gt;
var fileInput = document.getElementById("myfileinput");

// files is a FileList object (simliar to NodeList)
var files = fileInput.files;

for (var i = 0; i &lt; files.length; i++) {
  console.log(files[i].name + " has a size of " + files[i].size + " Bytes");
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('File API', '#dfn-size', 'Blob.size')}}</td>
   <td>{{Spec2('File API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Blob.size")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Blob")}}</li>
 <li><a href="/en-US/docs/Web/API/File/Using_files_from_web_applications">Using files from web applications</a></li>
</ul>
